[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# FMod

Floatin point modulo

## Declaration

Source position: math.pp line 216

`function FMod(`
`const a: Single;`
`const b: Single`
`):Single; overload; function FMod(`
`const a: Double;`
`const b: Double`
`):Double; overload; function FMod(`
`const a: Extended;`
`const b: Extended`
`):Extended; overload;`

## Description

FMod is the floating-point equivalent of the modulo operation a mod b. It returns the result of

a-b * Int(a/b)

## Errors

b may not be zero, but no check is performed.